Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class AjaxOptions

    java.lang.Object
      org.ajax4jsf.javascript.ScriptStringBase
          org.richfaces.renderkit.AjaxOptions

All Implemented Interfaces:
  org.ajax4jsf.javascript.ScriptString

    public class AjaxOptions

extends org.ajax4jsf.javascript.ScriptStringBase

Since:
  4.0
Author:
  Nick Belaevski

Field Summary
`static String` | `CLIENT_PARAMETERS`
`static String` | `PARAMETERS`

Fields inherited from class org.ajax4jsf.javascript.ScriptStringBase
`COLON, COMMA, DOT, EMPTY_STRING, EQUALS, FUNCTION, LEFT_CURLY_BRACKET, LEFT_ROUND_BRACKET, LEFT_SQUARE_BRACKET, RIGHT_CURLY_BRACKET, RIGHT_ROUND_BRACKET, RIGHT_SQUARE_BRACKET`

Constructor Summary
`AjaxOptions()`

Method Summary
`void` | `addParameters(Map<String,Object> params)`
`void` | `appendScript(Appendable target)`
`Object` | `get(String optionName)`
`Object` | `getAjaxComponent()`
`Object` | `getBeforesubmitHandler()`
`Object` | `getClientParameters()`
`Object` | `getParameter(String parameterName)`
`Map<String,Object>` | `getParameters()`
`boolean` | `hasParameters()`
`boolean` | `isEmpty()`
`void` | `remove(String optionName)`
`void` | `removeParameter(String parameterName)`
`void` | `set(String optionName, Object optionValue)`
`void` | `setAjaxComponent(Object ajaxComponent)`
`void` | `setBeforesubmitHandler(Object beforesubmitHandler)`
`void` | `setClientParameters(Object value)`
`void` | `setParameter(String parameterName, Object parameterValue)`

Methods inherited from class org.ajax4jsf.javascript.ScriptStringBase
`appendScriptToStringBuilder, toScript, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PARAMETERS

    public static final String PARAMETERS

See Also:
  Constant Field Values

### CLIENT_PARAMETERS

    public static final String CLIENT_PARAMETERS

See Also:
  Constant Field Values

Constructor Detail

### AjaxOptions

    public AjaxOptions()

Method Detail

### appendScript

    public void appendScript(Appendable target)
                      throws IOException

  Throws:
    `IOException`

### isEmpty

    public boolean isEmpty()

### get

    public Object get(String optionName)

### set

    public void set(String optionName,
                    Object optionValue)

### remove

    public void remove(String optionName)

### hasParameters

    public boolean hasParameters()

### getParameters

    public Map<String,Object> getParameters()

### getParameter

    public Object getParameter(String parameterName)

### setParameter

    public void setParameter(String parameterName,
                             Object parameterValue)

### addParameters

    public void addParameters(Map<String,Object> params)

### removeParameter

    public void removeParameter(String parameterName)

### getClientParameters

    public Object getClientParameters()

### setClientParameters

    public void setClientParameters(Object value)

### getAjaxComponent

    public Object getAjaxComponent()

### setAjaxComponent

    public void setAjaxComponent(Object ajaxComponent)

### getBeforesubmitHandler

    public Object getBeforesubmitHandler()

### setBeforesubmitHandler

    public void setBeforesubmitHandler(Object beforesubmitHandler)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.